Thank you for your review
Email me when discounted: 
The DayLite Palm Conduit is required if you wish to synchronize data from your Palm OS device with DayLite.

In order to use the DayLite Palm Conduit, you must have both DayLite v1.7.4 & Palm Desktop 4.1 or later installed on your Mac, and have HotSync enabled on login. You must also have access to your DayLite database from your Mac, either as a local database, or a remote database you access with DayLite over the network.

What's New

Version 1.9.2:
  • Updated to work with Daylite 3.2.1


  • Mac OS X 10.4 or later
  • Daylite 1.7.4
  • Palm Desktop 4.1 or later

Similar Software

Open Comparison
Suggest Other Similar Software
Get these apps for
Leave a Review

Daylite Palm Conduit User Discussion

To leave a comment, you need to be logged in.
Sort by: Time | Smiles
Daylite Palm Conduit needs a rating. Be the first to rate this app and get the discussion started!
0 0


Current Version (1.x)


Downloads 3,144
Version Downloads 1,677
License Free
Date 29 Dec 2006
Platform OS X / PPC 32
Price Free
download install download install purchase purchase
Save 91% The Fall Bundle 11 Awesome Apps • 1 Low Price